package com.xzzn.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 工单主对象 ems_ticket
 *
 * @author xzzn
 * @date 2025-07-15
 */
public class EmsTicket extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private String id;

    /** 工单号（规则：T+日期+6位随机） */
    @Excel(name = "工单号", readConverterExp = "规=则：T+日期+6位随机")
    private String ticketNo;

    /** 提交用户ID */
    @Excel(name = "提交用户ID")
    private Long userId;

    /** 工单标题 */
    @Excel(name = "工单标题")
    private String title;

    /** 问题描述 */
    @Excel(name = "问题描述")
    private String content;

    /** 图片URL数组 */
    @Excel(name = "图片URL数组")
    private String images;

    /** 1待处理 2处理中 3已完成 */
    @Excel(name = "1待处理 2处理中 3已完成")
    private Long status;

    /** 期望完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "期望完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date expectedCompleteTime;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date completeTime;

    /** 处理人ID */
    @Excel(name = "处理人ID")
    private Long workUserId;

    /** 0-已废弃 1-有效 */
    @Excel(name = "0-已废弃 1-有效")
    private Long isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }

    public void setTicketNo(String ticketNo)
    {
        this.ticketNo = ticketNo;
    }

    public String getTicketNo()
    {
        return ticketNo;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    public void setImages(String images)
    {
        this.images = images;
    }

    public String getImages()
    {
        return images;
    }

    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    public void setExpectedCompleteTime(Date expectedCompleteTime)
    {
        this.expectedCompleteTime = expectedCompleteTime;
    }

    public Date getExpectedCompleteTime()
    {
        return expectedCompleteTime;
    }

    public void setCompleteTime(Date completeTime)
    {
        this.completeTime = completeTime;
    }

    public Date getCompleteTime()
    {
        return completeTime;
    }

    public void setWorkUserId(Long workUserId)
    {
        this.workUserId = workUserId;
    }

    public Long getWorkUserId()
    {
        return workUserId;
    }

    public void setIsDelete(Long isDelete)
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("ticketNo", getTicketNo())
                .append("userId", getUserId())
                .append("title", getTitle())
                .append("content", getContent())
                .append("images", getImages())
                .append("status", getStatus())
                .append("expectedCompleteTime", getExpectedCompleteTime())
                .append("completeTime", getCompleteTime())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("workUserId", getWorkUserId())
                .append("isDelete", getIsDelete())
                .toString();
    }
}
